Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Functions | Variables
gtest_test_utils Namespace Reference

## Classes
class | Subprocess

## Functions
def | GetFlag (flag)
def | GetSourceDir ()
def | GetBuildDir ()
def | GetTempDir ()
def | GetTestExecutablePath
def | GetExitStatus (exit_code)
def | Main ()

## Variables
string | __author__ = 'wan@google.com (Zhanyong Wan)'
| _test_module = unittest
| _SUBPROCESS_MODULE_AVAILABLE = True
string | GTEST_OUTPUT_VAR_NAME = 'GTEST_OUTPUT'
string | IS_WINDOWS = 'nt'
string | IS_CYGWIN = 'posix'
| TestCase = _test_module.TestCase
dictionary | _flag_map
| _gtest_flags_are_parsed = False
| _temp_dir = None

## Function Documentation

def gtest_test_utils.GetBuildDir | ( |  | ) |

    Returns the absolute path of the directory where the test binaries are.

def gtest_test_utils.GetExitStatus | ( |  | exit_code | ) |

    Returns the argument to exit(), or -1 if exit() wasn't called.

    Args:
      exit_code: the result value of os.system(command).

def gtest_test_utils.GetFlag | ( |  | flag | ) |

    Returns the value of the given flag.

def gtest_test_utils.GetSourceDir | ( |  | ) |

    Returns the absolute path of the directory where the .py files are.

def gtest_test_utils.GetTempDir | ( |  | ) |

    Returns a directory for temporary files.

def gtest_test_utils.GetTestExecutablePath | ( |  | executable_name,
|  |  | build_dir = `None`
| ) |  |

    Returns the absolute path of the test binary given its name.

    The function will print a message and abort the program if the resulting file
    doesn't exist.

    Args:
      executable_name: name of the test binary that the test script runs.
      build_dir:       directory where to look for executables, by default
                       the result of GetBuildDir().

    Returns:
      The absolute path of the test binary.

def gtest_test_utils.Main | ( |  | ) |

    Runs the unit test.

## Variable Documentation

string __author__ = 'wan@google.com (Zhanyong Wan)'

dictionary _flag_map

Initial value:
1 = {'source_dir': os.path.dirname(sys.argv[0]),
2 'build_dir': os.path.dirname(sys.argv[0])}

_gtest_flags_are_parsed = False

_SUBPROCESS_MODULE_AVAILABLE = True

_temp_dir = None

_test_module = unittest

string GTEST_OUTPUT_VAR_NAME = 'GTEST_OUTPUT'

string IS_CYGWIN = 'posix'

string IS_WINDOWS = 'nt'

TestCase = _test_module.TestCase